## imcode.server.parser
Class SimpleText

    java.lang.Object
      imcode.server.parser.SimpleText

All Implemented Interfaces:
  Node, Text

    public class SimpleText

extends java.lang.Object
implements Text

Field Summary

Fields inherited from interface imcode.server.parser.Node
`ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`SimpleText(java.lang.String text)`

Method Summary
`java.lang.String` `getContent()`
`short` `getNodeType()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleText

    public SimpleText(java.lang.String text)

Method Detail

### getContent

    public java.lang.String getContent()

  Specified by:
    `getContent` in interface `Text`
  Returns:
    A String containing the contents of this element.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getNodeType

    public short getNodeType()

  Specified by:
    `getNodeType` in interface `Node`